# Listar Objetos en un Cliente particular

Si quiero obtener todos los objetos de un tipo (Heladeras por ejemplo) que existen en un cliente particular.

<mark style="color:blue;">`GET`</mark> `https://api.persat.com.ar/v1/listclientobjvalues/uid_client/obj_id`

#### Path Parameters

| Name                                          | Type   | Description                                         |
| --------------------------------------------- | ------ | --------------------------------------------------- |
| uid\_client<mark style="color:red;">\*</mark> | String | Identificador del cliente                           |
| obj\_id<mark style="color:red;">\*</mark>     | Number | Identificador del tipo de objeto. Heladeras por ej. |

#### Query Parameters

| Name                                    | Type   | Description                                                                             |
| --------------------------------------- | ------ | --------------------------------------------------------------------------------------- |
| offset                                  | number | Mismo concepto de SQL para la paginación. En caso de no enviarse el valor será 0 (cero) |
| limit<mark style="color:red;">\*</mark> | number | Mismo concepto de SQL para la paginación. Max: 100                                      |

#### Headers

| Name                                            | Type   | Description     |
| ----------------------------------------------- | ------ | --------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer API\_KEY |

{% tabs %}
{% tab title="200: OK La consulta se ejecutó con éxito" %}

{% endtab %}

{% tab title="404: Not Found El cliente no existe" %}

```json
{
    "success": false,
    "error": {
        "status": 404,
        "type": "NOT_FOUND",
        "userMessage": "No hay un cliente con este nro."
    }
}
```

{% endtab %}

{% tab title="400: Bad Request Error en alguno de los campos enviados. userMessage contiene informacipon adicional." %}

```javascript
{
    "success": false,
    "error": {
        "status": 400,
        "type": "BAD_REQUEST",
        "userMessage": "'offset' debe ser un number >= 0"
    }
}
```

{% endtab %}
{% endtabs %}

### Ejemplo de consulta

En este ejemplo queremos listar todos los objetos de tipo Heladera de un cliente particular

* **obj\_id**: 2                              - Tipo de Objeto Heladera
* **uid\_client**: <mark style="color:green;">AABC9098</mark>        - Identificador del cliente

La url de la consulta queda asi:

**<https://api.persat.com.ar/v1/listclientobjvalues/>**<mark style="color:green;">AABC9098</mark>/<mark style="color:blue;">2</mark>?offset=0\&limit=2

### Analizando la Respuesta

```json
{
    "success": true,
    "paging": {
        "offset": 0,
        "limit": 2,
        "result": 2,
        "total": 129
    },
    "data": [
        {
            "uid_client": "AABC9098",
            "obj_id": 2,
            "fields": {
                "1": "AABCSA090AA",
                "4": "cycle de frost",
                "3": "1500"
                "6": "",
                "7": "",
                "8": "Negra"
            },
            "updated": "2022-05-19T20:21:25.000Z"
        },
        {
            "uid_client": "AABC9098",
            "obj_id": 2,
            "fields": {
                "1": "KK895600001",
                "4": "No frost",
                "3": "3000"
                "6": "",
                "7": "",
                "8": "Blanca" 

            },
            "updated": "2022-05-19T20:20:25.000Z"
        }
    ]
}
```

**paging:** Es un objeto JSON que contiene los datos de la consulta offset y limit tal cual se recibieron, y luego presenta el total de objetos en cliente de tipo Heladera para este cliente, y la cantidad devueltos en esta consulta particular. De esta forma podemos ir trayendo de forma paginada todos las "heladeras" de este cliente.

**data:** Es un array de Objetos JSON, en donde cada item es el objeto en cliente buscado. Los campos de ese objeto son los mismos que si hicieramos la consulta como en [Obtener Objeto](/entidades-basicas/objetos-en-cliente/obtener-objeto.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.persat.com.ar/entidades-basicas/objetos-en-cliente/listar-objetos-en-un-cliente-particular.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
